View Bug Details

IDProjectCategoryView StatusLast Update
0001211DCP-o-matic[All Projects] Featurespublic2018-10-17 19:16
ReporterCarstenAssigned Tocarl 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionno change required 
PlatformMacOSOS X OS Version10.11
Product Version2.11.0 
Target Version2.14.0Fixed in Version 
Summary0001211: set initial position of bitmap subtitles into the active area
Description

When using bitmap subtitles, always position them into the active image area, but still allow them to be shifted back into letterbox/full container areas. This to enable subtitle display of bitmap subs flipping between top and bottom letterbox area of letterboxed vob/bd content. Same for left and right (pillarboxing), though this is unlikely to ever become an issue.

Think about possible side effects. Is there a good reason to keep alternating top/bottom bitmap subs in intentional letterbox areas? Then don't shift them into source image active area (after cropping), but within container active area!

I think this should be possible without adding any controls to the GUI!?

Don't do it for timed text, in order to allow immediate passthrough of original xml positioning without altering them.

I can supply test footage.

  • Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2018-03-07 01:26

manager   ~0002275

Honestly, I do not even know what DCP-o-matic currently does when VOB subtitles with native letterbox-positioning are used for a cropped DCP conversion. Maybe I should try first...

  • Carsten

Carsten

2018-03-09 15:31

manager   ~0002287

Last edited: 2018-03-09 15:32

View 2 revisions

I did, and it looks as if I made up a problem where none exists - I tested it with a letterboxed scope bluray where forced bitmap subs flip between bottom (half way in lower picture area and lower black bar) and top (halfway in upper picture area and top black bar).

After setting container to scope and cropping away the letterboxing, both upper and lower subs appear nicely within the visible picture area, below top, and above bottom respectively (works for two-liners as well). I still can't shift them down or up individually, as I had hoped for initially to fix that issue, but as there is no actual issue, I guess we can live with that behaviour for this special case ;-)

Solved.

  • Carsten

Bug History

Date Modified Username Field Change
2018-02-24 02:14 Carsten New Bug
2018-02-24 02:14 Carsten Status new => assigned
2018-02-24 02:14 Carsten Assigned To => carl
2018-02-24 02:26 Carsten Description Updated View Revisions
2018-02-24 02:29 Carsten Description Updated View Revisions
2018-02-24 02:30 Carsten Description Updated View Revisions
2018-02-24 02:31 Carsten Description Updated View Revisions
2018-02-24 02:33 Carsten Description Updated View Revisions
2018-03-07 01:26 Carsten Note Added: 0002275
2018-03-09 15:31 Carsten Note Added: 0002287
2018-03-09 15:32 Carsten Note Edited: 0002287 View Revisions
2018-03-10 13:30 Carsten Status assigned => resolved
2018-03-10 13:30 Carsten Resolution open => no change required
2018-10-17 19:16 carl Status resolved => closed